unit EditAddQuestions;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, DBTables, DB, ADODB, OleCtnrs;

type
  TfmEditAddQuestions = class(TForm)
    lbl1: TLabel;
    lbl2: TLabel;
    lbl3: TLabel;
    Btn1: TButton;
    edt2: TEdit;
    edt1: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    dlgOpen1: TOpenDialog;
    Memo1: TMemo;
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Btn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmEditAddQuestions: TfmEditAddQuestions;

implementation

uses dmu;

{$R *.dfm}

procedure TfmEditAddQuestions.BitBtn2Click(Sender: TObject);
begin
try
  dm.tbl2.edit;
  dm.tbl2.FieldByName('Вопрос').AsString:=Memo1.Lines.Text;
  dm.tbl2.FieldByName('Изображение').AsString:=edt1.Text;
  dm.tbl2.FieldByName('Ответ').AsInteger:=StrToInt(edt2.Text);
  dm.tbl2.Post;
except
  ShowMessage('Проверьте введенные вами данные!');
end;
end;

procedure TfmEditAddQuestions.BitBtn1Click(Sender: TObject);
begin
try
  dm.tbl2.append;
  dm.tbl2.FieldByName('Вопрос').AsString:=Memo1.Lines.Text;
  dm.tbl2.FieldByName('Ответ').AsInteger:=StrToInt(edt2.Text);
  dm.tbl2.FieldByName('Изображение').AsString:=dlgOpen1.FileName;
  dm.tbl2.Post;
except
  ShowMessage('Проверьте введенные вами данные!');
end;
close;
end;

procedure TfmEditAddQuestions.Btn1Click(Sender: TObject);
begin
if dlgOpen1.Execute then edt1.Text:=dlgOpen1.FileName;

end;

end.
